Subject: [installer] Trying to edit the generated config.scm crashes the installer

From: Leo Famulari <[email-masked]>
Date: Tue, 25 Jan 2022 23:14:52 -0500

While testing the installer built from the current master branch, we
found that trying to edit the generated config.scm crashes the
installer. Screenshot attached.

I built the installer like this:

$ guix environment guix -- ./pre-inst-env guix system image -t uncompressed-iso9660 --label="GUIX_x86_64-linux-leo" --system=x86_64-linux gnu/system/install.scm

I created a disk to install it with QEMU:

$ qemu-img create -f qcow2 guix-system.img 50G

And I ran the installer like this:

$ qemu-system-x86_64 -m 1024 -smp 1 -enable-kvm -nic user,model=virtio-net-pci -boot menu=on,order=d -device virtio-blk,drive=myhd -drive if=none,file=guix-system.img,id=myhd -drive media=cdrom,file=my-image.iso

I proceeded to select the default answers for all questions: no desktop,
the default networking-related services, DHCP network provider, guided
partitioning using the entire disk.

At the end, it shows the generated configuration, and crashes when I
select "edit". Unfortunately, the installer becomes unresponsive when
this happens, so I cannot scroll down and read the entire backtrace.